Loading...
Searching...
No Matches
Object Class Reference

`#include <pcl/outofcore/visualization/object.h>`

Inheritance diagram for Object:

## Public Member Functions

| Object (std::string name)
virtual | ~Object ()=default
std::string | getName () const
void | setName (std::string name)
virtual void | render (vtkRenderer *renderer)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Protected Attributes

vtkSmartPointer< vtkActorCollection > | actors_
std::mutex | actors_mutex_

## Detailed Description

Definition at line 18 of file object.h.

## Constructor & Destructor Documentation

## Object()

Object::Object | ( | std::string | name | ) |

## ~Object()

virtual Object::~Object | ( |  | ) |

virtual default

## Member Function Documentation

## addActor()

void Object::addActor | ( | vtkActor * | actor | ) |

Referenced by Axes::Axes().

## getActors()

vtkSmartPointer< vtkActorCollection > Object::getActors | ( |  | ) |

## getName()

std::string Object::getName | ( |  | ) | const

Referenced by Viewport::setCamera().

## hasActor()

bool Object::hasActor | ( | vtkActor * | actor | ) |

## removeActor()

void Object::removeActor | ( | vtkActor * | actor | ) |

## render()

virtual void Object::render | ( | vtkRenderer * | renderer | ) |

virtual

Reimplemented in Camera, and OutofcoreCloud.

## setName()

void Object::setName | ( | std::string | name | ) |

## Member Data Documentation

## actors_

vtkSmartPointer<vtkActorCollection> Object::actors_

protected

Definition at line 54 of file object.h.

## actors_mutex_

std::mutex Object::actors_mutex_

protected

Definition at line 55 of file object.h.

The documentation for this class was generated from the following file:

- pcl/outofcore/visualization/object.h